package com.sa.ibiz.demo.demo.service;

import com.sa.ibiz.demo.demo.domain.PortalPage;
import com.sa.ibiz.demo.demo.service.dto.PortalPageSearchFilter;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.core.metadata.IPage;
import java.util.List;
import com.baomidou.mybatisplus.extension.service.IService;
import java.util.Map;

/**
 * 实体[PortalPage] 服务对象接口
 */
public interface PortalPageService extends IService<PortalPage>{

	boolean create(PortalPage et);
		PortalPage get(PortalPage et);
	boolean checkKey(PortalPage et);
	boolean getDraft(PortalPage et);
	boolean remove(PortalPage et);
	boolean update(PortalPage et);
    List<PortalPage> listDefault(PortalPageSearchFilter filter) ;
	Page<PortalPage> searchDefault(PortalPageSearchFilter filter);
	/**	 实体[PortalPage] 自定义数据查询  	**/
	List<Map<String,Object>> selectRow(String sql);
 }